#include "aboutus.h"
#include "ui_aboutus.h"
#include "gui/guiscenemanager.h"

#include <QMovie>

AboutUs::AboutUs(QWidget *parent) :
    Scene(parent),
    ui(new Ui::AboutUs)
{
    ui->setupUi(this);
    watcher = new ButtonEventListener(this);
    ui->back_button->installEventFilter(watcher);

    movie = new QMovie(":/assets/common/logo.gif");
    ui->logo->setMovie(movie);
    movie->start();
}

AboutUs::~AboutUs()
{
    delete watcher;
    delete movie;
    delete ui;
}

void AboutUs::on_back_button_clicked()
{
    GuiSceneManager::getInstance().changeScene("main_menu");
}
